/*
 * =====================================================================================
 *
 *       Filename:  powerplant.h
 *    Description:  

 *        Created:  2010-07-15 09:16:11
 *         Author:  Arild Helseth 
 *
 * =====================================================================================
 */

#ifndef POWERPLANT_H
#define POWERPLANT_H

class PowerPlant
{
   private:
      int ModuleNr;
      double MaxOutflow; //GWh
      double Efficiency; //[]

   public:
      PowerPlant(int inModuleNr,double inMaxOutFlow,double inEfficiency);
      int getModuleNr() const {return ModuleNr;}
      double getEfficiency() const {return Efficiency;}
      double getMaxOutflow() const {return MaxOutflow;}

};
#endif

