#ifndef SUBSTAGEDATA_H
#define SUBSTAGEDATA_H

class Substagedata
{
private:
	int num_substages;
	double* sub_inflow_profile;
	double* sub_demand_profile;

	void CreateDemandProfileCase7();
	void CreateDemandProfileCase21();
	void CreateDemandProfileCase168();
	void CreateDemandProfileDefault();
	void CreateInflowProfileDefault();
	void Normalize();
public:
	Substagedata(int in_num_substages);
	void Print();
	double* get_inflow(double current_inflow);
	double* get_demand(double current_demand);
	double get_inflow(double current_inflow, int substage){return sub_inflow_profile[substage]*current_inflow;}
	double get_demand(double current_demand, int substage){return sub_demand_profile[substage]*current_demand;}
};

#endif