#ifndef INPUT_H
#define INPUT_H

#include <iostream>
#include <fstream>

struct Input {
	int num_stages;
	int num_branches;
	int num_samples;
	int min_new_cuts;
	int num_substages;
	int initial_demand;
	int num_simulations;
	int max_num_iterations;
	double initial_reservoir;
	bool should_print;
	bool should_print_send_log;
	bool use_relaxation;
	bool should_print_time_data;

	void Initialize(char* argv[]);
	void Initialize(std::ifstream& data);
	void Print();
};

#endif