#include "stagedata.h"

void StageData::Initialize() {
	num_cuts_at_slave = new int[num_slaves];
	for (int i = 0; i < num_slaves; i++) {
		num_cuts_at_slave[i] = 0;
	}
}

Cut* StageData::getNewCut(int i, int rank) {
	return cuts[num_cuts_at_slave[rank - 1] + i]; 
}

void StageData::Reset() {
	cuts.clear();
	num_cuts = 0;
	for (int i = 0; i < num_slaves; i++) {
		num_cuts_at_slave[i] = 0;
	}
}